Package: grails.compiler.ast

## [Groovy] Interface GlobalClassInjector

- grails.compiler.ast.ClassInjector

- All Superinterfaces:
    ClassInjector

      interface GlobalClassInjector
      extends ClassInjector

  A marker interface that indicates that this injector applies to all classes in a project

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface ClassInjector` | `PRIVATE_STATIC_MODIFIER`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ClassInjector` | `performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject`